org.apache.tiles.autotag.velocity

## Class VelocityTemplateGeneratorFactory

- java.lang.Object
- - org.apache.tiles.autotag.velocity.VelocityTemplateGeneratorFactory

- All Implemented Interfaces:
    TemplateGeneratorFactory

      public class VelocityTemplateGeneratorFactory
      extends Object
      implements TemplateGeneratorFactory

  Creates a template generator that generates code to build Velocity code around template classes.
  Version:
    $Rev: 1045345 $ $Date: 2010-12-13 14:58:23 -0500 (Mon, 13 Dec 2010) $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityTemplateGeneratorFactory(File classesOutputDirectory, File resourcesOutputDirectory, org.apache.velocity.app.VelocityEngine velocityEngine, TemplateGeneratorBuilder templateGeneratorBuilder)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TemplateGenerator` | `createTemplateGenerator()` Creates a template generator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityTemplateGeneratorFactory

          public VelocityTemplateGeneratorFactory(File classesOutputDirectory,
                                                  File resourcesOutputDirectory,
                                                  org.apache.velocity.app.VelocityEngine velocityEngine,
                                                  TemplateGeneratorBuilder templateGeneratorBuilder)

      Constructor.
      Parameters:
        `classesOutputDirectory` - The directory where classes will be generated.
        `resourcesOutputDirectory` - The directory where velocity.properties will be written.
        `velocityEngine` - The Velocity engine.
        `templateGeneratorBuilder` - The template generator builder.

  - ### Method Detail

    - #### createTemplateGenerator

          public TemplateGenerator createTemplateGenerator()

      Description copied from interface: `TemplateGeneratorFactory`
      Creates a template generator.
      Specified by:
        `createTemplateGenerator` in interface `TemplateGeneratorFactory`
      Returns:
        The newly created template generator.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.